For the complete documentation index, see llms.txt. This page is also available as Markdown.

Faces

Get the individual a face is for

get

Get the individual that a face is for by id

Path parameters
face_idstring · uuidRequired

The id of the face whose individual to get

Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
Responses
200

The individual

application/json
idstring · uuidRequired
namestringRequired
labeledboolean · nullableOptional
get/faces/{face_id}/individual
GET /faces/{face_id}/individual HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "labeled": true,
  "preview_face": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "bbox": {
      "ANY_ADDITIONAL_PROPERTY": 1
    },
    "face_preview": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "frame": 1,
      "signed_url": "text"
    },
    "individual_id": "123e4567-e89b-12d3-a456-426614174000"
  },
  "preview_image": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "frame": 1,
    "signed_url": "text"
  }
}

Get the asset a face is for

get

Get the asset that a face is for by id

Path parameters
face_idstring · uuidRequired

The id of the face whose asset to get

Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
Responses
200

The asset

application/json

Full asset DTO with relationship fields that require eager loading.

idstring · uuidRequired
drive_idstring · uuidRequired
pathstringRequired
namestringRequired
extensionstringRequired
updatedstring · date-timeRequired
createdstring · date-timeRequired
typestring · enumRequiredPossible values:
size_bytesintegerRequired
stack_idstring · uuid · nullableOptional
stack_numberinteger · nullableOptional
is_fs_draft_blobbooleanRequired
is_fs_null_blobbooleanRequired
ratingnumber · nullableOptional
ai_indexedbooleanRequired
categorystring · nullableOptional
ocrstring · nullableOptional
transcription_idstring · uuid · nullableOptional
faces_presentboolean · nullableOptional
content_lengthinteger · nullableOptional
preview_job_statestring · enumRequired

Enum for asset job states

Possible values:
metadata_job_statestring · enumRequired

Enum for asset job states

Possible values:
core_vision_job_statestring · enumRequired

Enum for asset job states

Possible values:
color_palette_job_statestring · enumRequired

Enum for asset job states

Possible values:
core_audio_job_statestring · enumRequired

Enum for asset job states

Possible values:
audio_job_statestring · enumOptional

Enum for asset job states

Possible values:
facial_recognition_job_statestring · enumRequired

Enum for asset job states

Possible values:
proxy_job_statestring · enumRequired

Enum for asset job states

Possible values:
audio_proxy_job_statestring · enumRequired

Enum for asset job states

Possible values:
transcription_job_statestring · enumRequired

Enum for asset job states

Possible values:
custom_thumbnailstring · nullableOptional
get/faces/{face_id}/asset
GET /faces/{face_id}/asset HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "drive_id": "123e4567-e89b-12d3-a456-426614174000",
  "path": "text",
  "name": "text",
  "extension": "text",
  "updated": "2026-01-01T00:00:00.000Z",
  "created": "2026-01-01T00:00:00.000Z",
  "type": "IMAGE",
  "size_bytes": 1,
  "stack_id": "123e4567-e89b-12d3-a456-426614174000",
  "stack_number": 1,
  "is_fs_draft_blob": true,
  "is_fs_null_blob": true,
  "rating": 1,
  "ai_indexed": true,
  "system_metadata": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "custom_metadata": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "category": "text",
  "palette": [
    [
      1
    ]
  ],
  "ocr": "text",
  "transcription_id": "123e4567-e89b-12d3-a456-426614174000",
  "faces_present": true,
  "content_length": 1,
  "preview_job_state": "NOT_STARTED",
  "metadata_job_state": "NOT_STARTED",
  "core_vision_job_state": "NOT_STARTED",
  "color_palette_job_state": "NOT_STARTED",
  "core_audio_job_state": "NOT_STARTED",
  "audio_job_state": "NOT_STARTED",
  "facial_recognition_job_state": "NOT_STARTED",
  "proxy_job_state": "NOT_STARTED",
  "audio_proxy_job_state": "NOT_STARTED",
  "transcription_job_state": "NOT_STARTED",
  "objects": [],
  "texture_data": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "integration_data": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "preview_images": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "frame": 1,
      "signed_url": "text"
    }
  ],
  "custom_thumbnail": "text",
  "proxy": {
    "id": "123e4567-e89b-12d3-a456-426614174000"
  },
  "audio_proxy": {
    "id": "123e4567-e89b-12d3-a456-426614174000"
  }
}

List all unclustered faces

get
Query parameters
drive_idstring · uuidRequired

The drive id to list faces for

pageinteger · nullableOptional

The page to query

Default: 0
limitinteger · nullableOptional

The limit that is fetched per page

Default: 100
Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
Responses
200

List of all unclustered faces

application/json
idstring · uuidRequired
individual_idstring · uuid · nullableOptional
get/faces
GET /faces?drive_id=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "bbox": {
      "ANY_ADDITIONAL_PROPERTY": 1
    },
    "face_preview": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "frame": 1,
      "signed_url": "text"
    },
    "individual_id": "123e4567-e89b-12d3-a456-426614174000"
  }
]

Get the dynamic views for a drive

get

Get the dynamic views for a drive

Query parameters
drive_idstring · uuidRequired
Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
Responses
200

Successful Response

application/json
idstring · uuidRequired
namestringRequired
columnsstring[] · nullableOptional
user_idstring · uuid · nullableOptional
is_lockedboolean · nullableOptional
is_privateboolean · nullableOptional
iconstring · nullableOptional
icon_typestring · enum · nullableOptionalPossible values:
sortstring · nullableOptional
get/dynamic-views
GET /dynamic-views?drive_id=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "filters": [
      {
        "id": null,
        "options": [
          {
            "client_val": "text",
            "server_val": "text",
            "icon": "text"
          }
        ],
        "clause": "is",
        "ignore_options": true
      }
    ],
    "columns": [
      "text"
    ],
    "user_id": "123e4567-e89b-12d3-a456-426614174000",
    "is_locked": true,
    "is_private": true,
    "display_settings": {
      "card_size": 1,
      "thumbnail_view": "text",
      "view": "text",
      "metadata_attribute_ids": [
        "text"
      ],
      "flatten_directories": true
    },
    "icon": "text",
    "icon_type": "color",
    "sort": "text"
  }
]

Add a dynamic view for a drive

post
Query parameters
drive_idstring · uuidRequired
Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
namestringRequired

The dynamic view name to update

iconstring · nullableOptional

The dynamic view icon to update

icon_typestring · enum · nullableOptional

The dynamic view icon type to update

Possible values:
is_lockedboolean · nullableOptional

If locked, other users cannot modify the dynamic view.

Default: false
is_privateboolean · nullableOptional

If private, only the owner can see this dynamic view.

Default: false
sortstring · nullableOptional

The dynamic view sort to update (include '-' at beginning for descending)

Responses
200

Successful Response

application/json
anyOptional
post/dynamic-views
POST /dynamic-views?drive_id=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 408

{
  "name": "text",
  "display_settings": {
    "card_size": 1,
    "thumbnail_view": "text",
    "view": "text",
    "metadata_attribute_ids": [
      "text"
    ],
    "flatten_directories": true
  },
  "icon": "text",
  "icon_type": "color",
  "is_locked": false,
  "is_private": false,
  "filters": [
    {
      "id": null,
      "options": [
        {
          "client_val": "text",
          "server_val": "text",
          "icon": "text"
        }
      ],
      "clause": "is",
      "ignore_options": true
    }
  ],
  "sort": "text",
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

No content

Update a dynamic view for a drive

put

Modify a dynamic view for a drive

Path parameters
dynamic_view_idstring · uuidRequired
Query parameters
drive_idstring · uuidRequired
Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
namestringRequired

The dynamic view name to update

columnsstring[] · nullableOptional

The dynamic view columns to update

iconstring · nullableOptional

The dynamic view icon to update

icon_typestring · enum · nullableOptional

The dynamic view icon type to update

Possible values:
sortstring · nullableOptional

The dynamic view sort to update (include '-' at beginning for descending)

is_lockedboolean · nullableOptional

If locked, other users cannot modify the dynamic view.

Default: false
is_privateboolean · nullableOptional

If private, only the owner can see this dynamic view.

Default: false
Responses
200

Successful Response

application/json
anyOptional
put/dynamic-views/{dynamic_view_id}
PUT /dynamic-views/{dynamic_view_id}?drive_id=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 427

{
  "name": "text",
  "filters": [
    {
      "id": null,
      "options": [
        {
          "client_val": "text",
          "server_val": "text",
          "icon": "text"
        }
      ],
      "clause": "is",
      "ignore_options": true
    }
  ],
  "columns": [
    "text"
  ],
  "display_settings": {
    "card_size": 1,
    "thumbnail_view": "text",
    "view": "text",
    "metadata_attribute_ids": [
      "text"
    ],
    "flatten_directories": true
  },
  "icon": "text",
  "icon_type": "color",
  "sort": "text",
  "is_locked": false,
  "is_private": false,
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

No content

Delete Dynamic View Route

delete
Path parameters
dynamic_view_idstring · uuidRequired
Query parameters
drive_idstring · uuidRequired
Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
Responses
200

Successful Response

application/json
anyOptional
delete/dynamic-views/{dynamic_view_id}
DELETE /dynamic-views/{dynamic_view_id}?drive_id=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

No content

Export dynamic view data

get
Path parameters
dynamic_view_idstring · uuidRequired
export_formatstring · enumRequiredPossible values:
Query parameters
drive_idstring · uuidRequired
osstring · enum · nullableOptional

Operating System Enum from the result of platform.system()

Possible values:
timezonestring · nullableOptional
Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
Responses
200

Successful Response

application/json
anyOptional
get/dynamic-views/{dynamic_view_id}/exports/{export_format}
GET /dynamic-views/{dynamic_view_id}/exports/{export_format}?drive_id=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

No content

Last updated

Was this helpful?